Subject: Re: MBX hang (tlbia)

From: Dan Malek <[email-masked]>
Date: Tue, 13 Jun 2000 19:53:37 -0400

Jamie Guinan wrote:

> ..... Anyway, by simply
> commenting out the parts of their 8xx init stuff which sets up
> the MMU and TLBs,

You need to enter Linux with MMUs disabled.  I think this is true
of all architectures.  The tlbia is needed to invalidate everything
because a few lines later Linux sets up its own virtual environment.

Running with caches enabled is OK, because anything Linux ensures
cache coherency among the operations it performs during boot.  You
can't arbitrarily disable the MMU, because you need some knowledge of
the physical environment you came from so you know what will happen
when the MMU is disabled.

Good job.  Have fun!

	-- Dan

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/